CFPT - Anomalie #805

Lorsque I'on veut imprimer une facture de type downtown, on a une erreur de ce type
07/09/2021 03:57 PM - Admin Admin

Status: En cours Start date: 07/09/2021
Priority: Normal Due date:

Assignee: Mamadou Thiam % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description
File "/usr/lib/python2.7/dist-packages/odoo/addons/base/ir/ir_ui_view.py", line 1052, in render_template
return self.browse(self.get_view_id(template)).render(values, engine)
File "/usr/lib/python2.7/dist-packages/odoo/addons/website/models/ir_ui_view.py", line 115, in render
return super(View, self).render(values, engine=engine)
File "/usr/lib/python2.7/dist-packages/odoo/addons/web_editor/models/ir_ui_view.py", line 26, in render
return super(IrUiView, self).render(values=values, engine=engine)
File "/usr/lib/python2.7/dist-packages/odoo/addons/base/ir/ir_ui_view.py", line 1072, in render
return self.env[engine].render(self.id, gcontext)
File "/usr/lib/python2.7/dist-packages/odoo/addons/base/ir/ir_qweb/ir_qweb.py", line 53, in render
return super(IrQWeb, self).render(id_or_xml_id, values=values, *kcontext)
File "/usr/lib/python2.7/dist-packages/odoo/addons/base/ir/ir_qweb/qweb.py", line 251, in render
self.compile(template, options)(self, body.append, values or {})
File "/usr/lib/python2.7/dist-packages/odoo/addons/base/ir/ir_qweb/qweb.py", line 320, in _compiled_fn
raise e
QWebException: ‘'amount_total_in_words'
Traceback (most recent call last):
File "/usr/lib/python2.7/dist-packages/odoo/addons/base/ir/ir_qweb/qweb.py", line 318, in _compiled_fn
return compiled(self, append, values, options, log)
File "<template>", line 1, in template_stylish_report_templates_invoice_footer_66044
File "/usr/lib/python2.7/dist-packages/odoo/addons/base/ir/ir_qweb/ir_qweb.py", line 254, in _get_field
field = record._fields[field_name]
KeyError: 'amount_total_in_words"'

Error to render compiling AST

KeyError: 'amount_total_in_words'

Template: stylish_report_templates.invoice_footer
Path: /templates/t/div/div/div[1]/div/strong/span[1]
Node: <span t-field="o.amount_total_in_words"/>
History

#1 - 07/14/2021 09:59 AM - Malick DIAGNE

- Assignee set to Mamadou Thiam

#2 - 07/27/2021 03:00 PM - Mamadou Thiam

- Status changed from Nouveau to En cours
